Subject: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Michael Heerdegen <[email-masked]>
Date: Fri, 12 Oct 2018 13:26:34 +0200

Eli Zaretskii <[email-masked]> writes:

> I meant the infrastructure they use.  Customize uses widgets, AFAIR.

But in Customize or EWW, you already have a buffer you can use for
input.  In the cases I described, you don't.  If you e.g. want to query
the user for a (possibly longer) note to attach to an article in Gnus,
or want to query for a new note to capture (org), there is just no
buffer at hand to place a widget.

But if you already must use a dedicated buffer for input, using a widget
is no real additional gain.

Michael.